Bug 257342 - ES6 parsing error can't choose between alternatives
ES6 parsing error can't choose between alternatives
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Petr Hejl
issues@javascript
ecma6
:
Depends on:
Blocks: 242387
  Show dependency treegraph
 
Reported: 2015-12-30 12:35 UTC by jockeeriksson
Modified: 2016-04-13 15:15 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jockeeriksson 2015-12-30 12:35:53 UTC
Strange parsing error on this class.

class SettingsView {


    onChange(event) {
       let v = event.target;
    }

}

export default SettingsView;

but this gets no error

class SettingsView {

    onChange(event) {
       let v = event;
    }

}

export default SettingsView;
Comment 1 Petr Pisl 2016-04-05 15:05:19 UTC
The error is not here now, but the parser wrong parse the export expression.
Comment 2 Petr Hejl 2016-04-13 15:15:47 UTC
This seems to be fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo